<?php

namespace App\Http\Controllers;
use App\Notifications\AllNotification;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use Carbon\Carbon;
use Illuminate\Support\Facades\Notification;
class HomeController extends Controller
{

    public function index()
    {
        $careerlist = DB::table('careers')
        ->where('active','=','1')
        ->orderBy('created_at','DESC')
        ->get();   
        
        return view('index', compact('careerlist'));
    }

    public function apply($id)
    {
        $app_id = $id;
        $careerlist = DB::table('careers')
        ->where('active','=','1')
        ->where('id','=',$id)
        ->orderBy('created_at','DESC')
        ->get();   

        return view('apply', compact('careerlist', 'app_id'));
    }

    public function successapplication(){
        
        return view('successapplication');
    }
    
    public function applyjob(Request $request, $id)
    {
        return view('apply');
    } 
    public function job(Request $request, $id)
    {
        $careers = DB::table('careers')
        ->orderBy('created_at','DESC')
        ->where('id','=',$id)
        ->get();   
        
        $message = "";
        if($careers->count() == 0){
            $message =  "<h1>Job does not exist! <a href='/'>Check available jobs</a>.</h1>";
        }

        return view('job', compact('careers','message'));

    }  
    
    
    public function saveapplicant(Request $request){
         //PERSONAL INFO
        $lname = $request->input('namelast');
        $fname = $request->input('namefirst');
        $mname = $request->input('namemiddle');
        $fullname = $fname." ".$mname." ".$lname;

        $contact= $request->input('contact');
        $email = $request->input('email');
        $position = $request->input('position');
        $reason = $request->input('reason');

        $applicantInfo = DB::insert("insert into applicant_information (first_name, last_name, middle_name, full_name, email_address, contact_number, created_at, updated_at) values (?,?,?,?,?,?,?,?)",
            ["$lname", "$fname", "$mname", "$fullname", "$email", "$contact", now(), now()]
        );       
        
        $appID = DB::table('applicant_information')->orderBy('applicant_id','desc')->first();
        $id = $appID->applicant_id;
        
        
        //RESUME
        if(!$request->hasFile('resume')) {
            return response()->json(['upload_file_not_found'], 400);
        }
        $file = $request->file('resume');
        if(!$file->isValid()) {
            return response()->json(['invalid_file_upload'], 400);
        }
        $path = public_path() . '/uploads/';
        $filename = 'SJD_Applicant'.$id.'_'.$file->getClientOriginalName();
        $file->move($path, $filename);   
          
        //Save Application
        DB::insert("insert into applicant_status (applicant_id, career_id, applied_date, reason_applying, status, created_at, updated_at) values (?,?,?,?,?,?,?)",
            ["$id", "$position", now(), "$reason", "Pending", now(), now()]
        ); 
        //Save Resume
        DB::insert("insert into applicant_attachment (applicant_id,resume_url) values (?,?)",
            ["$id", "$filename"]
        ); 
        

       
        
        
        return view('successapplication');
    }
    
    public function getapplicantinfo(Request $request, $id, $token)
    {
        $app_id = $id;
        $app_token = $token;
        $applicant = DB::table('applicant_status')
        ->select('applicant_information.full_name', 'applicant_information.email_address', 'applicant_information.contact_number')
        ->leftJoin('applicant_information', 'applicant_information.applicant_id','=','applicant_status.applicant_id')        
        ->whereRaw('applicant_status.token = "'.$token.'" AND applicant_status.applicant_id = '.$app_id)

        ->get(); 
        
        return view('apply1', compact('applicant', 'app_id', 'app_token'));        
    }
    
    public function saveapplicantinfo(Request $request, $id, $token)
    {
        
        //PERSONAL INFO
        $nname = $request->input('namenick');
        
        
        $address = $request->input('address');
        $date_birth = $request->input('date_birth');
        $gender = $request->input('gender');
        $height = $request->input('height');
        $weight = $request->input('weight');
        $blood = $request->input('blood');
        $birthplace = $request->input('birthplace');
        $nationality = $request->input('nationality');
        $civilstatus = $request->input('civilstatus');

        $interest = $request->input('leisure');
        $skills = $request->input('skills');
        $language = $request->input('language');
                
       

    $updateapplicatnt = DB::update("update applicant_information set nick_name=?, address=?, gender=?, date_of_birth=?, place_of_birth=?, nationality=?, height=?, weight=?, bloodtype=?, civil_status=?, interest=?, skills=?, language=?", ["$nname", "$address" ,"$gender", "$date_birth","$birthplace","$nationality", "$height", "$weight", "$blood", "$civilstatus", "$interest", "$skills","$language"] );
        
        
        //FATHER
        $father = $request->input('fathername');
        $fatherage = $request->input('fatherage');
        $fatheroccupation = $request->input('fatheroccupation');
        $fathercompany = $request->input('fathercompany');
        $fathercontact = $request->input('fathercontact');

        DB::insert("insert into applicant_relatives (applicant_id, name, relationship, age, occupation, company ,contact_number ) values (?,?,?,?,?,?,?)",
            ["$id" ,"$father","Father", "$fatherage", "$fatheroccupation", "$fathercompany","$fathercontact"]
        );

        //MOTHER
        $mother = $request->input('mothername');
        $motherage = $request->input('motherage');
        $motheroccupation = $request->input('motheroccupation');
        $mothercompany = $request->input('mothercompany');
        $mothercontact = $request->input('mothercontact');
        
        DB::insert("insert into applicant_relatives (applicant_id, name, relationship, age, occupation, company ,contact_number ) values (?,?,?,?,?,?,?)",
            ["$id" ,"$mother","Mother", "$motherage", "$motheroccupation", "$mothercompany","$mothercontact"]
        );        

        //SPOUSE
        $spouse = $request->input('spousename');
        $spouseage = $request->input('spouseage');
        $spouseoccupation = $request->input('spouseoccupation');
        $spousecompany = $request->input('spousecompany');
        $spousecontact = $request->input('spousecontact');
        
        DB::insert("insert into applicant_relatives (applicant_id, name, relationship, age, occupation, company ,contact_number ) values (?,?,?,?,?,?,?)",
            ["$id" ,"$spouse","Spouse", "$spouseage", "$spouseoccupation", "$spousecompany","$spousecontact"]
        );        
       
        
        //SIBLINGS
        $sibling_count = $request->input('sibling_count');
        
        for ($x = 1; $x <= $sibling_count; $x++)
        {
            $siblingname = $request->input('siblingname'.$x);
            $siblingage = $request->input('siblingage'.$x);
            $siblingaddress = $request->input('siblingaddress'.$x);
            $siblingoccupation = $request->input('siblingaddress'.$x);
            $siblingcompany = $request->input('siblingcompany'.$x);
            $siblingcontact = $request->input('siblingcontact'.$x);
            
            DB::insert("insert into applicant_relatives (applicant_id, name, relationship, age, address, occupation, company ,contact_number ) values (?,?,?,?,?,?,?,?)",
            ["$id" ,"$siblingname","Siblings", "$siblingage", "$siblingaddress", "$siblingoccupation", "$siblingcompany","$siblingcontact"]
            ); 
            
        }
        
        
        //CHILDREN
         $child_count = $request->input('child_count');
        
        for ($y = 1; $y <= $child_count; $y++)
        {
            $childname = $request->input('childname'.$y);
            $childage = $request->input('childage'.$y);
            $childgender = $request->input('childgender'.$y);        
            $childaddress = $request->input('childaddress'.$y);            
            
            DB::insert("insert into applicant_relatives (applicant_id, name, relationship, age, gender, address) values (?,?,?,?,?,?)",
            ["$id" ,"$childname","Children", "$childage", "$childgender", "$childaddress"]
            ); 
        }    
        
        //EDUCATION BACKGROUND
        $schoolsecondary = $request->input('schoolsecondary');
        $schoolsecondaryaward = $request->input('schoolsecondaryaward');
        $schoolsecondarydate = $request->input('schoolsecondarydate');
        
        DB::insert("insert into applicant_education (applicant_id, education_level, school_name,awards, inclusive_dates) values (?,?,?,?,?)",
        ["$id" ,"Secondary/High School","$schoolsecondary", "$schoolsecondaryaward", "$schoolsecondarydate"]
        );         
        
        //COLLEGE
        $college_count = $request->input('college_count');
        $colcat = "College/Vocational/Post Graduate";
        for ($a = 1; $a <= $college_count; $a++){
            $college = $request->input('college'.$a);
            $collegecourse = $request->input('collegecourse'.$a);
            $collegeaward = $request->input('collegeaward'.$a);
            $collegedate = $request->input('collegedate'.$a);
            
            DB::insert("insert into applicant_education (applicant_id, education_level, course ,school_name,awards, inclusive_dates) values (?,?,?,?,?,?)",[$id , $colcat , $college, "$collegecourse" , $schoolsecondaryaward, $schoolsecondarydate]);  
        }

        //Board Exams
        $board_count = $request->input('board_count');
        
        for ($b = 1; $b <= $board_count; $b++){
            $board = $request->input('board'.$b);
            $boarddate = $request->input('boarddate'.$b);
            $boardrating = $request->input('boardrating'.$b);

            DB::insert("insert into applicant_board_exams (applicant_id, exam_taken, exam_date , rating) values (?,?,?,?)",
        ["$id" ,"$board", "$boarddate", "$boardrating"]);  
        }


        //WORK EXPERIENCES
        $experience_count = $request->input('experience_count');
        for ($c = 1; $c <= $experience_count; $c++){
            $workname = $request->input('workname'.$c);
            $workposition = $request->input('workposition'.$c);
            $workdate = $request->input('workdate'.$c);
            $workreason = $request->input('workreason'.$c);
            
            DB::insert("insert into applicant_work_organization (applicant_id, work_exp_type, company_organization_name, position , employment_org_date, reason_for_leaving) values (?,?,?,?,?,?)",
        ["$id" ,"Work", "$workname", "$workposition", "$workdate", "$workreason"]);  
            
        }
        
        
        //ORGANIZATION
        $experience_count = $request->input('experience_count');
        for ($d = 1; $d <= $experience_count; $d++){
        $orgname = $request->input('orgname'.$d);
        $orgposition = $request->input('orgposition'.$d);
        $orgdate = $request->input('orgdate'.$d);
        
            DB::insert("insert into applicant_work_organization (applicant_id, work_exp_type, company_organization_name, position , employment_org_date) values (?,?,?,?,?)",
        ["$id" ,"Organization", "$orgname", "$orgposition", "$orgdate"]);          
        }

        
        
        $hospitalized = $request->input('hospitalized');
        $hospitalizedreason = $request->input('hospitalizedreason');

        $operation = $request->input('operation');
        $operationreason = $request->input('operationreason');

        $ulcer = $request->input('ulcer'); 
        $asthma = $request->input('asthma');
        $allergy = $request->input('allergy');
        $diabetes = $request->input('diabetes');
        $migraine = $request->input('migraine');
        $dysmenorrhea = $request->input('dysmenorrhea');
        $rheumatism = $request->input('rheumatism');
        $heartdisease = $request->input('heartdisease');
        $hepatitis = $request->input('hepatitis');
        $tb = $request->input('tb');
        $nervous = $request->input('nervous');
        $abnormalbp = $request->input('abnormalbp');
        $othersickness = $request->input('othersickness_name');
        
        
        $xray = $request->input('xray');
        $xraydate = $request->input('xraydate');
        
        $health = $request->input('health');
        
        $question1 = $request->input('question1');
        $question2 = $request->input('question2');
        $question3 = $request->input('question3');
        $question4 = $request->input('question4');
        $question5 = $request->input('question5');
        
        $case = $request->input('case');
        $casenature= $request->input('casenature');
        
        $terminated = $request->input('terminated');
        $terminatedreason = $request->input('terminatedreason');
        
        $agree = $request->input('agree');
        
        //echo $fullname;
        //return redirect()->intended('/job/'.$id);
    }
}
