    @extends('layouts.app')
    @section('content')
    @foreach ($careerlist as $career)
    <section>
      <div class="container">
        
        <div class="row">
          <div class="col-md-3">
            <div class="job-overview">
              <dl class="dl-horizontal">
                <dt><i class="fa fa-calendar text-theme-colored mt-5 font-15"></i></dt>
                <dd>
                  <h5 class="mt-0">Date Posted:</h5>
                  <p>{{ date('M d,Y', strtotime( $career->created_at)) }}</p>
                </dd>
              </dl>
              <dl class="dl-horizontal">
                <dt><i class="fa fa-map-marker text-theme-colored mt-5 font-15"></i></dt>
                <dd>
                  <h5 class="mt-0">Location:</h5>
                  <p>{{ $career->assignarea }}</p>
                </dd>
              </dl>
              <dl class="dl-horizontal">
                <dt><i class="fa fa-user text-theme-colored mt-5 font-15"></i></dt>
                <dd>
                  <h5 class="mt-0">Job Title:</h5>
                  <p>{{ $career->position }}</p>
                </dd>
              </dl>
              <!--<a class="btn btn-dark mt-20" href="#">Apply Now</a>-->
            </div>
          </div>
          <div class="col-md-9">
            <div class="icon-box mb-0 p-0">
              <a href="#" class="icon icon-gray pull-left mb-0 mr-10">
                <i class="pe-7s-users"></i>
              </a>
              <h3 class="icon-box-title pt-15 mt-0 mb-40">{{ $career->position }}</h3>
              <hr>
              <p class="text-gray">{!! nl2br(e($career->jobdesc)) !!}</p>

            </div>
            <h5 class="mt-30">Requirments:</h5>
            <ul class="list theme-colored">
              <li{!! nl2br(e($career->qualification)) !!}</li>
            </ul>
          </div>
        </div>
      </div>
    </section>

    <!-- Section: Registration Form -->
    <section class="divider parallax layer-overlay overlay-light" data-stellar-background-ratio="0.5" data-bg-img="{{ asset('img/form.png') }}">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-6 col-md-offset-3 bg-lightest-transparent p-30 pt-10">
            <h3 class="text-center text-theme-colored mb-20">Apply Now</h3>
            <form id="job_apply_form" name="job_apply_form" action="/apply" method="post" enctype="multipart/form-data">
              <div class="row">
                <input type="hidden" name="resume" value="{{$career->id }}">
                <div class="col-sm-6">
                  <div class="form-group">
                    <label for="form_name">First Name <small>*</small></label>
                    <input id="form_name" name="namefirst" type="text" placeholder="Enter First Name" required="" class="form-control">
                  </div>
                </div>
                <div class="col-sm-6">
                  <div class="form-group">
                    <label for="form_name">Middle Name <small>*</small></label>
                    <input id="form_name" name="namemiddle" type="text" placeholder="Enter Middle Name" required="" class="form-control">
                  </div>
                </div> 
                
                <div class="col-sm-6">
                  <div class="form-group">
                    <label for="form_name">Last Name <small>*</small></label>
                    <input id="form_name" name="lastname" type="text" placeholder="Enter Last Name" required class="form-control">
                  </div>
                </div> 
                
                <div class="col-sm-6">
                  <div class="form-group">
                    <label for="form_email">Email <small>*</small></label>
                    <input id="form_email" name="form_email" class="form-control required email" type="email" placeholder="Enter Email" required>
                  </div>
                </div>
                <div class="col-sm-6">
                  <div class="form-group">
                    <label for="form_contact">Contact # <small>*</small></label>
                    <input id="form_email" name="contact" class="form-control" type="text" placeholder="Enter Contact number" required>
                  </div>
                </div>                

                <div class="col-sm-6">
                  <div class="form-group">
                    <label for="form_sex">Sex <small>*</small></label>
                    <select id="form_sex" name="form_sex" class="form-control required" required>
                      <option value="Male">Male</option>
                      <option value="Female">Female</option>
                    </select>
                  </div>
                </div>                
              </div>

              <div class="form-group">
                <label for="form_message">Message <small>*</small></label>
                <textarea id="form_message" name="reason" class="form-control required" rows="5" placeholder="Your cover letter/message sent to the employer" required></textarea>
              </div>
              <div class="form-group">
                <label for="form_attachment">C/V Upload</label>
                <input id="form_attachment" name="resume" class="file" type="file" multiple data-show-upload="false"  accept=".doc, .docx, .pdf" data-show-caption="true" required>
                <small>Maximum upload file size: 12 MB</small>
              </div>
              <div class="form-group">
                {{csrf_field()}}
                <input id="form_botcheck" name="form_botcheck" class="form-control" type="hidden" value="" />
                
                <input  type="submit" class="btn btn-block btn-dark btn-theme-colored btn-sm mt-20 pt-10 pb-10" data-loading-text="Please wait..." value="Apply Now"/>
              </div>
            </form>
          </div>
        </div>
      </div>
    </section>
  @endforeach
@endsection